- Qt 5.3
- Qt QML
- C++ Classes
- QJSValue
- Qt 5.3.2 Reference Documentation

# Compatibility Members for QJSValue

The following members of class QJSValueare part of the Qt compatibility layer. We advise against using them in new code.

## Public Functions

QJSEngine * | engine() const

## Member Function Documentation

### QJSEngine * QJSValue::engine() const

Returns the QJSEngine that created this QJSValue, or 0 if this QJSValue is invalid or the value is not associated with a particular engine.